org.activiti.engine.identity

## Interface GroupQuery

- All Superinterfaces:
    Query<GroupQuery,Group>

      public interface GroupQuery
      extends Query<GroupQuery,Group>

  Allows to programmatically query for `Group`s.
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupQuery` | `groupId(String groupId)` Only select `Group`s with the given id.
    `GroupQuery` | `groupMember(String groupMemberUserId)` Only selects `Group`s where the given user is a member of.
    `GroupQuery` | `groupName(String groupName)` Only select `Group`s with the given name.
    `GroupQuery` | `groupNameLike(String groupNameLike)` Only select `Group`s where the name matches the given parameter.
    `GroupQuery` | `groupType(String groupType)` Only select `Group`s which have the given type.
    `GroupQuery` | `orderByGroupId()` Order by group id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `GroupQuery` | `orderByGroupName()` Order by group name (needs to be followed by `Query.asc()` or `Query.desc()`).
    `GroupQuery` | `orderByGroupType()` Order by group type (needs to be followed by `Query.asc()` or `Query.desc()`).
    `GroupQuery` | `potentialStarter(String procDefId)` Only select `Group`S that are potential starter for the given process definition.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### groupId

          GroupQuery groupId(String groupId)

      Only select `Group`s with the given id.

    - #### groupName

          GroupQuery groupName(String groupName)

      Only select `Group`s with the given name.

    - #### groupNameLike

          GroupQuery groupNameLike(String groupNameLike)

      Only select `Group`s where the name matches the given parameter. The syntax to use is that of SQL, eg. %activiti%.

    - #### groupType

          GroupQuery groupType(String groupType)

      Only select `Group`s which have the given type.

    - #### groupMember

          GroupQuery groupMember(String groupMemberUserId)

      Only selects `Group`s where the given user is a member of.

    - #### potentialStarter

          GroupQuery potentialStarter(String procDefId)

      Only select `Group`S that are potential starter for the given process definition.

    - #### orderByGroupId

          GroupQuery orderByGroupId()

      Order by group id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByGroupName

          GroupQuery orderByGroupName()

      Order by group name (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByGroupType

          GroupQuery orderByGroupType()

      Order by group type (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.